Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members Related Pages

# cgicc::MStreamable Class Reference

Mix-in streamable interface. More...

`#include <cgicc/MStreamable.h>`

Inheritance diagram for cgicc::MStreamable::

List of all members.

## Public Methods
| MStreamable ()
| Empty constructor. More...
virtual | ~MStreamable ()
| Empty destructor. More...
virtual void | render (std::ostream &out) const=0
| Write this object to a stream. More...
## Friends
std::ostream & | operator<< (std::ostream &out, const MStreamable &obj)

## Detailed Description

Mix-in streamable interface.

Abstract mix-in class which makes classes streamable via the `<<` operator. Written in the spirit of a Java interface.

Definition at line 64 of file MStreamable.h.

## Constructor & Destructor Documentation

cgicc::MStreamable::MStreamable | ( |  | ) | `[inline]`

| Empty constructor. Definition at line 75 of file MStreamable.h.

virtual cgicc::MStreamable::~MStreamable | ( |  | ) | `[inline, virtual]`

| Empty destructor. Definition at line 82 of file MStreamable.h.

## Member Function Documentation

virtual void cgicc::MStreamable::render | ( | std::ostream & | out | ) | const`[pure virtual]`

  | Write this object to a stream. Subclasses must implement this function. Parameters:
  out | The ostream to which to write.
Reimplemented in cgicc::HTMLAttribute, cgicc::HTMLDoctype, cgicc::HTMLElement, cgicc::HTTPContentHeader, cgicc::HTTPCookie, cgicc::HTTPHeader, cgicc::HTTPRedirectHeader, cgicc::HTTPResponseHeader, and cgicc::HTTPStatusHeader.

## Friends And Related Function Documentation

std:: ostream& operator<< | ( | std::ostream & | out,
|  | const MStreamable & | obj
| ) | `[friend]`

  | Prototype for overloading streaming operator Parameters:
  out | The ostream to which to write
  obj | The MStreamable object to write
Returns: A reference to `out`

The documentation for this class was generated from the following file:

- MStreamable.h